## tarsnap-autoconf-1.0.23.tgz

=== keygen/Makefile ===
PROG	=	tarsnap-keygen
SRCS	=	keygen.c
WARNS	?=	6
LDADD	=	-lcrypto
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Client-server protocol layer
.PATH.c	:	../lib/netpacket
SRCS	+=	netpacket_register.c
SRCS	+=	netpacket_op.c
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
.PATH.c	:	../lib/netproto
SRCS	+=	netproto_connect.c
SRCS	+=	netproto.c
SRCS	+=	netproto_keyexchange.c
SRCS	+=	netproto_packet.c
CFLAGS	+=	-I ../lib/netproto

# Network layer
.PATH.c	:	../lib/network
SRCS	+=	network_select.c
SRCS	+=	network_connect.c
SRCS	+=	network_buf.c
SRCS	+=	network_writeq.c
SRCS	+=	network_cork.c
CFLAGS	+=	-I ../lib/network

# Data structures
.PATH.c	:	../lib/datastruct
SRCS	+=	rwhashtab.c
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
.PATH.c	:	../lib/crypto
SRCS	+=	sha256.c
SRCS	+=	crypto_entropy.c
SRCS	+=	crypto_hash.c
SRCS	+=	crypto_keyfile.c
SRCS	+=	crypto_keys.c
SRCS	+=	crypto_keys_subr.c
SRCS	+=	crypto_file.c
SRCS	+=	crypto_session.c
SRCS	+=	crypto_aesctr.c
SRCS	+=	crypto_rsa.c
SRCS	+=	crypto_passwd_to_dh.c
SRCS	+=	crypto_dh.c
SRCS	+=	crypto_verify_bytes.c
SRCS	+=	crypto_keys_server.c
SRCS	+=	crypto_dh_group14.c
SRCS	+=	scryptenc.c
SRCS	+=	scrypt-nosse.c
SRCS	+=	scrypt_cpuperf.c
CFLAGS	+=	-I ../lib/crypto

# Utility code
.PATH.c	:	../lib/util
SRCS	+=	b64encode.c
SRCS	+=	entropy.c
SRCS	+=	humansize.c
SRCS	+=	memlimit.c
SRCS	+=	readpass.c
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.prog.mk>

=== tar/Makefile ===
PROG	=	tarsnap
SRCS	=	bsdtar.c cmdline.c getdate.y matching.c read.c siginfo.c subst.c tree.c util.c write.c
MAN1	=	tarsnap.1
MAN5	=	tarsnap.conf.5
WARNS	?=	6
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPACKAGE_VERSION=\"${TARVERSION}\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-I ${.CURDIR}

# Install sample configuration file
FILESGROUPS	+=	CONFIG
CONFIGDIR	?=	/usr/local/etc
CONFIG		=	tarsnap.conf.sample

# Location of system tarsnap configuration file
CFLAGS	+=	-DETC_TARSNAP_CONF=\"${CONFIGDIR}/tarsnap.conf\"

# Generate tarsnap.1 and tarsnap.conf.5 via sed.
CLEANFILES	+=	tarsnap.1 tarsnap.conf.5
tarsnap.1:	tarsnap.1.in
	cat tarsnap.1.in |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.1
tarsnap.conf.5:	tarsnap.conf.5.in
	cat tarsnap.conf.5.in |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.conf.5

# Use our own version of libarchive
.if defined(PROFILE)
LDADD	+=	../libarchive/libarchive_p.a
${PROG}	:	../libarchive/libarchive_p.a
.else
LDADD	+=	../libarchive/libarchive.a
${PROG}	:	../libarchive/libarchive.a
.endif
CFLAGS	+=	-I ${.OBJDIR}/../libarchive

# Other libraries used
LDADD	+=	-lz -lbz2 -lcrypto

# Code which interfaces between multiple layers.
.PATH.c	:	./glue
SRCS	+=	archive_multitape.c
SRCS	+=	tape.c
CFLAGS	+=	-I ./glue

# Chunkification cache
.PATH.c	:	./ccache
SRCS	+=	ccache_entry.c
SRCS	+=	ccache_read.c
SRCS	+=	ccache_write.c
CFLAGS	+=	-I ./ccache

# Multitape code
.PATH.c	:	./multitape
SRCS	+=	chunkify.c
SRCS	+=	multitape_write.c
SRCS	+=	multitape_read.c
SRCS	+=	multitape_stats.c
SRCS	+=	multitape_delete.c
SRCS	+=	multitape_fsck.c
SRCS	+=	multitape_nuke.c
SRCS	+=	multitape_chunkiter.c
SRCS	+=	multitape_metadata.c
SRCS	+=	multitape_metaindex.c
SRCS	+=	multitape_transaction.c
CFLAGS	+=	-I ./multitape

# Chunk layer
.PATH.c	:	./chunks
SRCS	+=	chunks_write.c
SRCS	+=	chunks_read.c
SRCS	+=	chunks_stats.c
SRCS	+=	chunks_delete.c 
SRCS	+=	chunks_transaction.c
SRCS	+=	chunks_stats_internal.c
SRCS	+=	chunks_directory.c
CFLAGS	+=	-I ./chunks

# Storage layer
.PATH.c	:	./storage
SRCS	+=	storage_write.c
SRCS	+=	storage_read.c
SRCS	+=	storage_delete.c
SRCS	+=	storage_directory.c
SRCS	+=	storage_transaction.c
CFLAGS	+=	-I ./storage

# Client-server protocol layer
.PATH.c	:	../lib/netpacket
SRCS	+=	netpacket_transaction.c
SRCS	+=	netpacket_write.c
SRCS	+=	netpacket_read.c
SRCS	+=	netpacket_delete.c
SRCS	+=	netpacket_directory.c
SRCS	+=	netpacket_hmac.c
SRCS	+=	netpacket_op.c
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
.PATH.c	:	../lib/netproto
SRCS	+=	netproto_connect.c
SRCS	+=	netproto.c
SRCS	+=	netproto_keyexchange.c
SRCS	+=	netproto_packet.c
CFLAGS	+=	-I ../lib/netproto

# Network layer
.PATH.c	:	../lib/network
SRCS	+=	network_select.c
SRCS	+=	network_connect.c
SRCS	+=	network_buf.c
SRCS	+=	network_writeq.c
SRCS	+=	network_cork.c
CFLAGS	+=	-I ../lib/network

# Data structures
.PATH.c	:	../lib/datastruct
SRCS	+=	patricia.c
SRCS	+=	rwhashtab.c
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
.PATH.c	:	../lib/crypto
SRCS	+=	sha256.c
SRCS	+=	crypto_entropy.c
SRCS	+=	crypto_hash.c
SRCS	+=	crypto_keyfile.c
SRCS	+=	crypto_keys.c
SRCS	+=	crypto_keys_subr.c
SRCS	+=	crypto_file.c
SRCS	+=	crypto_session.c
SRCS	+=	crypto_aesctr.c
SRCS	+=	crypto_rsa.c
SRCS	+=	crypto_dh.c
SRCS	+=	crypto_verify_bytes.c
SRCS	+=	crypto_keys_server.c
SRCS	+=	crypto_dh_group14.c
SRCS	+=	scryptenc.c
SRCS	+=	scrypt-nosse.c
SRCS	+=	scrypt_cpuperf.c
CFLAGS	+=	-I ../lib/crypto

# Utility code
.PATH.c	:	../lib/util
SRCS	+=	asprintf.c
SRCS	+=	b64encode.c
SRCS	+=	dirutil.c
SRCS	+=	entropy.c
SRCS	+=	hexify.c
SRCS	+=	hexlink.c
SRCS	+=	humansize.c
SRCS	+=	memlimit.c
SRCS	+=	readpass.c
SRCS	+=	sigquit.c
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
CFLAGS	+=	-O1
.endif

.include <bsd.prog.mk>

=== pkg/debian/changelog ===
tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000

tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000

tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000

tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000

tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100

tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100

=== pkg/debian/control ===
Source: tarsnap
Section: net
Priority: extra
Maintainer: Mads Sulau Joergensen <mads@sulau.dk>
Build-Depends: debhelper (>= 5), e2fslibs-dev, zlib1g-dev, libssl-dev, libbz2-dev
Standards-Version: 3.7.2

Package: tarsnap
Architecture: any
Depends: ${shlibs:Depends}, zlib1g
Description: tarsnap is an online encrypted snapshotted backup service
 Tarsnap is an encrypted snapshotted online backup service for BSD, 
 Linux, OpenSolaris, and OS X.

=== pkg/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	$(MAKE) prefix=$(CURDIR)/debian/tarsnap/usr sysconfdir=$(CURDIR)/debian/tarsnap/etc install
	
	mv $(CURDIR)/debian/tarsnap/etc/tarsnap.conf.sample $(CURDIR)/debian/tarsnap/etc/tarsnap.conf
	sed -i 's,^[a-z],#\0,' $(CURDIR)/debian/tarsnap/etc/tarsnap.conf
	sed -i 's,#cachedir .*,cachedir /var/lib/tarsnap/cache,' $(CURDIR)/debian/tarsnap/etc/tarsnap.conf

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== pkg/debian/watch ===
version=3
https://beta.tarsnap.com/download.html tarsnap-autoconf-(.*)\.tgz
